# Users

## Endpoints

### POST /users
**Create a user**

Creates a new user, optionally initializing with the provided vault data.

### POST /users/search
**Search users**

Search users by fingerprinted vault data or external ID. Some pieces of vault data are automatically fingerprinted for search here. Searchable fields include `id.phone_number`, `id.email`, `id.ssn9`, `id.drivers_license_number`, `id.us_tax_id`, and `id.itin`.

### GET /users/{fp_id}
**Retrieve a user**

View basic details for a user. See the APIs under the User vault section for information on reading vault data.

### PATCH /users/{fp_id}
**Update a user**

Update basic details for a user. See the APIs under the User vault section for information on patching vault data.

### GET /users
**List users**

Look up users based on external ID. This API is not intended to be used to paginate through all of your organization's users. To search for users based on PII, use the POST /users/search API.

### PATCH /users/{fp_id}/statuses
**Update user statuses**

Configure custom statuses in your dashboard [here](https://dashboard.onefootprint.com/settings/configurations). In addition to setting a user's statuses through action nodes in your playbooks, you can also set a user's status here.

# Users

Footprint makes it easy to onboard customers by unifying identity verification
and data vaulting. A user in Footprint stores all PII for that user and all
history of identity verification.

Users can be created in two ways:

* First, they can onboard through
  [Footprint's interactive onboarding product](/articles/guide/definitive-integration-guide#the-end-to-end-integration-step-4-launch-the-footprint-flow)
  using a Playbook configured in the
  [Footprint dashboard](https://dashboard.onefootprint.com/playbooks).
* Or, they can be create directly via the POST
  /users API below.

We recommend creating one Footprint user for each user you have in your database
and storing the user's `fp_id` in your database table of users. Footprint is
meant to act as the source of truth for your users' PII and other sensitive
information, so you may often need your user's corresponding `fp_id`.